.register-wrap {
    width: 100%;
    height: 100%;
    overflow: hidden;
    background: white;
}

.register-header {
    display: flex;
    align-items: center;
    height: 50px;
}

.register-wrap .register-header .icon-close {
    position: absolute;
    left: 16px;
    width: auto;
    display: flex;
    justify-content: left;
    align-items: center;
    cursor: pointer;
}

.register-form {
    display: flex;
    flex-direction: column;
    align-items: left;
    width: 100%;
}

.register-form form {
    width: 100%;
    position: relative;
}

.register-form form .wrap-input {
    position: relative;
    width: 100%;
    height: 48px;
    background-color: transparent;
    color: #221C46;
    border-radius: 12px;
    font-weight: 500;
    border: 1px solid #C1C4CD;
    margin-bottom: 20px;
}

.register-form form .wrap-input label {
    font-size: 16px;
    font-weight: 500;
    position: absolute;
    top: -24px;
}

.register-form form .wrap-input input {
    width: 100%;
    height: 100%;
    padding-left: 15px;
    font-size: 16px;
    border-radius: 12px;
    background: transparent;
    outline: none;
    border: none;
    color: #221C46;
}

.register-wrap .register-form form .wrap-input input:valid~label,
.register-wrap .register-form form .wrap-input input:focus~label {
    top: 12px;
    font-size: 12px;
}

.register-wrap .register-form form .wrap-input .icon-eye {
    position: absolute;
    right: 15px;
    top: 50%;
    transform: translateY(-50%);
    cursor: pointer;
}

.register-wrap .register-form form .wrap-input .icon-eye::after {
    content: "/";
    left: 5px;
    top: -12px;
    position: absolute;
    font-size: 28px;
    font-weight: 400;
    color: #221C46;
}

.register-wrap .register-form form .wrap-input .icon-eye.hide::after {
    content: "";
}

.register-wrap .register-form form .wrap-input {
    font-weight: 400;
    margin-bottom: 40px;
    font-size: 16px;
}

.register-wrap .register-form form .wrap-input label {
    font-size: 14px;
    font-weight: 400;
}

.register-wrap .register-form form button {
    width: 100%;
    height: 48px;
    margin-top: 0px;
    margin-bottom: 32px;
}

.register-wrap .register-form form button,
.register-wrap .register-form .register-box {
    font-size: 14px;
}

.register-wrap .register-form {
    height: calc(100% - 50px);
    padding: 82px 16px 16px 16px;
}

@media (max-width: 1023px) {
    .register-wrap .register-form {
        height: calc(100% - 50px) !important;
        padding: 82px 16px 16px 16px !important;
    }

    .register-wrap {
        background-image: url('../images/bg-login.png');
        background-position: center;
        background-repeat: no-repeat;
        background-size: cover;
        overflow: auto;
    }

    .register-form-pc {
        display: none !important;
    }
}

@media (min-width: 1024px) {
    .register-form {
        width: 1060px;
        position: relative;
        left: 50%;
        transform: translateX(-50%);
    }

    .register-form-m,
    .register-header {
        display: none !important;
    }

    .register-form-pc {
        display: flex;
        flex-direction: row !important;
        gap: 32px;
        padding: 32px 16px !important;
    }

    .register-form-pc img {
        width: auto;
    }

    .register-form-pc>div:last-child {
        width: 100%;
    }

    .register-wrap {
        height: fit-content !important;
        overflow: auto !important;
    }

    /* .wrap-btn {
        padding: 14px 16px !important;
    } */
}